 &DFT
    BASIS_SET_FILE_NAME GTH_BASIS_SETS
    POTENTIAL_FILE_NAME GTH_POTENTIALS
!    WFN_RESTART_FILE_NAME w512_md_nvt-RESTART.wfn
    CHARGE -1
    LSD
    &MGRID
      COMMENSURATE
      CUTOFF 400
! htan 400
    &END MGRID
    &QS
      EPS_DEFAULT 1.0E-10
    &END QS
    &SCF
      EPS_SCF 1.0E-04
      MAX_SCF 30
      SCF_GUESS ATOMIC  
!      SCF_GUESS RESTART
      &OT
        MINIMIZER CG
        PRECONDITIONER FULL_SINGLE_INVERSE
        ENERGY_GAP 0.001
      &END OT
      &OUTER_SCF
        EPS_SCF 1.0E-04
      &END OUTER_SCF
    &END SCF
    &XC
      &XC_FUNCTIONAL PBE
      &END XC_FUNCTIONAL
    &END XC
     
    &PRINT
        &E_DENSITY_CUBE LOW
      &END E_DENSITY_CUBE
       &MO_CUBES OFF
!           NLUMO 200
!           WRITE_CUBE T
       &END MO_CUBES
       &V_HARTREE_CUBE OFF
!           STRIDE 2 2 2
       &END
    &END PRINT
  &END DFT

