&MOTION
&GEO_OPT
   OPTIMIZER LBFGS ! Good choice for 'small' systems (use LBFGS for large systems)
   MAX_ITER  100
    MAX_DR    0.001
  RMS_DR    0.0003

!   MAX_DR    [bohr] 0.003 ! adjust target as needed
   &LBFGS
   &END
 &END



 &CONSTRAINT
    &FIXED_ATOMS
      COMPONENTS_TO_FIX XYZ
      ! LIST 1    3           6           9          12          15          18          21          24          27          30          33          36          39          42          45          48          51          54          57          60          63          66          69          72          75          78          81          84          87          90          93          96          99         102         105         108         111         114         117         120         123         126         129         132         135         138         141         144         147         150         153         156         159         162         165         168         171         174         177         180         183         186         189         192         195         198         201         204         207         210         213         216         219         222         225         228         231         234         237         240         243         246         249         252         255         258         261         264         267         270         273         276         279         282         285         288         291         294         297         300         303         306         309         312         315         318         321         324         327         330         333         336         339         342         345         348         351         354         357         360         363         366         369         372         375         378         381         384         387         390         393         396         399         402         405         408         411         414         417         420         423         426         429         432         435         438         441         444         447         450         453         456         459         462         465         468         471         474         477         480         483         486         489         492         495         498         501         504         507         510         513         516         519         522         525         528         531         534         537         540         543         546         549         552         555         558         561         564         567         570         573         576         579         582         585         588         591         594         597         600         603         606         609         612         615         618         621         624         627         630         633         636         639         642         645         648         651         654         657         660         663         666         669         672         675         678         681         684         687         690         693         696         699         702         705         708         711         714         717         720         723         726         729         732         735         738         741         744         747         750         753         756         759         762         765         768         771         774         777         780         783         786         789         792         795         798         801         804         807         810         813         816         819         822         825         828         831         834         837         840         843         846         849         852         855         858         861         864         867         870         873         876         879         882         885         888         891         894         897         900         903         906         909         912         915         918         921         924         927         930         933         936         939         942         945         948         951         954         957         960         963         966         969         972         975         978         981         984         987         990         993         996         999        1002        1005        1008        1011        1014        1017        1020        1023        1026        1029        1032        1035        1038        1041        1044        1047        1050        1053        1056        1059        1062        1065        1068        1071        1074        1077        1080        1083        1086        1089        1092        1095        1098        1101        1104        1107        1110        1113        1116        1119        1122        1125        1128        1131        1134        1137        1140        1143        1146        1149        1152        1155        1158        1161        1164        1167        1170        1173        1176        1179        1182        1185        1188        1191        1194        1197        1200        1203        1206        1209        1212        1215        1218        1221        1224        1227        1230        1233        1236        1239        1242        1245        1248        1251        1254        1257        1260        1263        1266        1269        1272        1275        1278        1281        1284        1287        1290        1293        1296        1299        1302        1305        1308        1311        1314        1317        1320        1323        1326        1329        1332        1335        1338        1341        1344        1347        1350        1353        1356        1359        1362        1365        1368        1371        1374        1377        1380        1383        1386        1389        1392        1395        1398        1401        1404        1407        1410        1413        1416        1419        1422        1425        1428        1431        1434        1437        1440        1443        1446        1449        1452        1455        1458        1461        1464        1467        1470        1473        1476        1479        1482        1485        1488        1491        1494        1497        1500        1503        1506        1509        1512        1515        1518        1521        1524        1527        1530        1533        1536

    &END FIXED_ATOMS
  &END CONSTRAINT



! &CONSTRAINT
!     &FIXED_ATOMS
!     LIST 1..16
!     EXCLUDE_MM .FALSE.
!     EXCLUDE_QM .TRUE.
!     &END FIXED_ATOMS
!  &END CONSTRAINT

  &MD
    ENSEMBLE NVE
    STEPS 10000
    TIMESTEP 0.5
    TEMPERATURE 300

! ENSEMBLE NVT  ! sampling the canonical ensemble, accurate properties might need NVE
!   TEMPERATURE [K] 298
!   TIMESTEP [fs] 0.5
!   STEPS 5000
   # GLE thermostat as generated at http://epfl-cosmo.github.io/gle4md 
   # GLE provides an effective NVT sampling.
!   &THERMOSTAT
!     REGION MASSIVE
!MASSIVE
!     TYPE NOSE

!    &NOSE
!     LENGTH 3
!        YOSHIDA 3
!	MTS 2
       
!     TIMECON [fs] 100.
!      &END
 

!  ENSEMBLE NPT_I
!    STEPS 2000
!    TIMESTEP 0.5
!    TEMPERATURE 298
!    &BAROSTAT
!      PRESSURE 1.
!      TIMECON [fs] 100.
!    &END BAROSTAT
!    &THERMOSTAT
!      TYPE NOSE
!      REGION MOLECULE
!      &NOSE
!        TIMECON [fs] 100.
!      &END
!    &END THERMOSTAT



    


!GLE
!     &GLE
!       NDIM 5
!       A_SCALE [ps^-1] 1.00
!       A_LIST    1.859575861256e+2   2.726385349840e-1   1.152610045461e+1  -3.641457826260e+1   2.317337581602e+2
!       A_LIST   -2.780952471206e-1   8.595159180871e-5   7.218904801765e-1  -1.984453934386e-1   4.240925758342e-1
!       A_LIST   -1.482580813121e+1  -7.218904801765e-1   1.359090212128e+0   5.149889628035e+0  -9.994926845099e+0
!       A_LIST   -1.037218912688e+1   1.984453934386e-1  -5.149889628035e+0   2.666191089117e+1   1.150771549531e+1
!       A_LIST    2.180134636042e+2  -4.240925758342e-1   9.994926845099e+0  -1.150771549531e+1   3.095839456559e+2
!     &END GLE
!   &END THERMOSTAT
   

 &END MD
  &PRINT
    &TRAJECTORY                                 ! Controls the output of the trajectory
      FORMAT XYZ                                ! Format of the output trajectory is XYZ
      &EACH                                     ! New trajectory frame will be printed each 100 md steps
        GEO_OPT 10
	MD 100
      &END EACH
    &END TRAJECTORY
    &RESTART                                    ! This section controls the printing of restart files
      &EACH                                     ! A restart file will be printed every 10000 md steps
        GEO_OPT 10
!	MD 100
      &END EACH
      
    &END RESTART
   &RESTART_HISTORY                            ! This section controls dumping of unique restart files during the run keeping all of them.Most useful if recovery is needed at a later point.
      &EACH                                     ! A new restart file will be printed every 10000 md steps
        GEO_OPT 10
	MD 500
      &END EACH
    &END RESTART_HISTORY
  &END PRINT


&END MOTION

!&EXT_RESTART
!        RESTART_FILE_NAME w512_md_nvt-1.restart
!        RESTART_DEFAULT FALSE
!        RESTART_POS TRUE
!        RESTART_VEL TRUE
!        RESTART_THERMOSTAT TRUE
!        RESTART_AVERAGES FALSE
!        RESTART_COUNTERS FALSE

!        &END EXT_RESTART
